Get v2 Task Status
GET
https://api.slidespeak.co/api/v2/task_status/{task_id}
Retrieves the current status of an asynchronous task. The shape of
task_result depends
on the task type. For presentation generation tasks, use the returned request_id with
/presentation/download/{request_id} to obtain a short-lived URL.
Headers
Content-Type: string
application/json X-API-Key: string
The API key to use for the request.
Get Parameters
task_id: string
The ID you get after starting a task.
Code Examples
curl -X GET "https://api.slidespeak.co/api/v2/task_status/7f9801d8-c8bf-45c3-9fe7-d024b5a76f69" -H "X-API-Key: YOUR_API_KEY"const response = await fetch('https://api.slidespeak.co/api/v2/task_status/7f9801d8-c8bf-45c3-9fe7-d024b5a76f69', { method: 'GET', headers: { 'X-API-Key': 'YOUR_API_KEY' }});
const data = await response.json();console.log(data);import requests
url = "https://api.slidespeak.co/api/v2/task_status/7f9801d8-c8bf-45c3-9fe7-d024b5a76f69"headers = {"X-API-Key": "YOUR_API_KEY"}
response = requests.get(url, headers=headers)print(response.json())<?phprequire 'vendor/autoload.php';
use GuzzleHttp\Client;
$client = new Client();
$response = $client->get('https://api.slidespeak.co/api/v2/task_status/7f9801d8-c8bf-45c3-9fe7-d024b5a76f69', [ 'headers' => [ 'X-API-Key' => 'YOUR_API_KEY' ]]);
$data = json_decode($response->getBody(), true);print_r($data);Response
{ "task_id": "351ceb47-1377-4641-a5ff-420816a84ba9", "task_status": "SUCCESS", "task_result": "<task-specific result>", "task_info": "<task-specific info>"}{ "task_id": "9649d202-03ac-437a-80e8-ff91ff4ace67", "task_status": "SENT", "task_result": null, "task_info": null}{ "task_id": "9649d202-03ac-437a-80e8-ff91ff4ace67", "task_status": "FAILURE", "task_result": "<error_message>", "task_info": {}}